Index: tmp/org.txm.ahc.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ahc.rcp/META-INF/MANIFEST.MF	(revision 890)
+++ tmp/org.txm.ahc.rcp/META-INF/MANIFEST.MF	(revision 891)
@@ -2,8 +2,8 @@
 Export-Package: org.txm.ahc.rcp.adapters,org.txm.ahc.rcp.editors,org.t
  xm.ahc.rcp.handlers,org.txm.ahc.rcp.messages,org.txm.ahc.rcp.preferen
  ces
-Require-Bundle: org.txm.lexicaltable.rcp;bundle-version="1.0.0";visibility:=reexport,
- org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
+Require-Bundle: org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.lexicaltable.rcp;bundle-version="1.0.0";visibility:=reexport,
  org.txm.ahc.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.ca.rcp
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 890)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 891)
@@ -436,30 +436,6 @@
 	 * @param outputFormat
 	 * @return
 	 */
-	// FIXME: original code
-//	public File createChartFile(TXMResult result, File file, String outputFormat)	{
-//		// FIXME : bad ? Switch the current charts engine output format, export the chart, and then roll back the output format
-//		String oldOutputFormat = this.outputFormat;
-//		this.setOutputFormat(outputFormat);
-//		
-//		
-//		Object chart = this.getChartCreator(result.getClass()).createChart(result);
-//		
-//		
-//		file = this.createChartFile(chart, file);
-//		//this.setOutputFormat(oldOutputFormat);
-//		this.outputFormat = oldOutputFormat;
-//		return file;
-//	}
-
-	
-	/**
-	 * Creates a chart according to the specified result and output format and writes it in the specified file.
-	 * @param result
-	 * @param file
-	 * @param outputFormat
-	 * @return
-	 */
 	//FIXME: check that modification works well
 	public File createChartFile(ChartResult result, File file, String outputFormat)	{
 		// FIXME : bad ? Switch the current charts engine output format, export the chart, and then roll back the output format
@@ -587,7 +563,6 @@
 	 *  UI related, this preference can be used to tell if the chart must be updated directly after editing a widget value or only after pressed a "Compute" button.
 	 * @return the directComputing
 	 */
-	//FIXME: this preference is not used at this time, see if it's useless or not.
 	public boolean isDirectComputing() {
 		return directComputing;
 	} 
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 890)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 891)
@@ -230,7 +230,7 @@
 			// Updating
 			Log.finest("ChartResult.renderChart(): updating chart.");
 			
-			// FIXME: the update must be done here (BEFORE the call of this.updateLastRenderingParameters()) rather than in the SWTChartComponentsProvider => the problem is that for File based Engine, the file may be created twice, need to check this
+			// the update must be done here (BEFORE the call of this.updateLastRenderingParameters()) rather than in the SWTChartComponentsProvider => the problem is that for File based Engine, the file may be created twice, need to check this
 			// also before the call of this.updateLastParameters() to be able to check if a computing parameter has changed in the chart creators 
 			chartCreator.updateChart(this);
 			
@@ -243,14 +243,13 @@
 			
 			this.chartDirty = false;
 			
-			// FIXME: debug
+			// Debug
 			Log.finest("ChartResult.renderChart(): chart rendering done.");
 
 			return true;
 			
 		}
 		else	{
-			// FIXME: debug
 			Log.severe("ChartResult.renderChart(): can not find any suitable chart creator for result: " + this.getClass() + ".");
 			return false;
 		}
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 890)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 891)
@@ -378,185 +378,6 @@
 		return orderedValues;
 	}
 	
-	
-	/**
-	 * Gets a map where the values of the dataset are orderer by X item value and flatten despite of the series.
-	 * @param dataset
-	 * @return
-	 */
-	// FIXME: not used?
-	public TreeMap<Object, ArrayList<Integer>> getItemsAndSeriesOrderedByXValues(XYDataset dataset)	{
-		HashMap<Object, ArrayList<Integer>> allFlattenValues = new HashMap<Object, ArrayList<Integer>>();
-		for(int i = 0; i < dataset.getSeriesCount(); i++) {
-			for(int j = 0; j < dataset.getItemCount(i); j++) {
-				ArrayList<Integer> itemData = new ArrayList<Integer>(2);
-				itemData.add(i); // series
-				itemData.add(j); // item
-				
-				// FIXME: tests, navigation clavier sur toutes les courbes en même temps d'une Progression (tri sur la valeur X du dataset, toute séries confondues)
-//				allFlattenValues.put((int) dataset.getXValue(i, j), itemData);
-
-
-				// Test CAXYDataset
-				
-				// FIXME: tests, navigation clavier par ordre alphabétique d'une AFC (toute séries confondues)
-				String label = ((CAXYDataset)dataset).getLabel(i,  j);
-				allFlattenValues.put(label, itemData);
-				
-				// FIXME: tests, navigation clavier par coord X d'une AFC (toute séries confondues)
-				//allFlattenValues.put(dataset.getX(i, j), itemData);
-				
-			}
-		}
-
-
-		// FIXME: tests, navigation clavier sur toutes les courbes en même temps d'une Progression
-	//	TreeMap<Object, ArrayList<Integer>> orderedValues = new TreeMap<Object, ArrayList<Integer>>(allFlattenValues);
-
-		// FIXME: tests, navigation clavier par ordre alphabétique d'une AFC
-		TreeMap<Object, ArrayList<Integer>> orderedValues = new TreeMap<Object, ArrayList<Integer>>(Collator.getInstance());
-		orderedValues.putAll(allFlattenValues);
-
-		
-		// FIXME : comparator tests
-//		TreeMap<String, Integer> treemap = new TreeMap<String, Integer>(new Comparator<String>() {
-//		    public int compare(String o1, String o2) {
-//		        return o1.toLowerCase().compareTo(o2.toLowerCase());
-//		    }
-//		});
-		
-		
-		// FIXME: DEbug
-//		Set cles = orderedValues.keySet();
-//		System.err.println("MultipleItemsSelector.getItemsAndSeriesOrderedByXValues() size: " + orderedValues.size());
-//		Iterator<Integer> it = cles.iterator();
-//		while(it.hasNext())	{
-//			Object key = it.next();
-//			ArrayList<Integer> value = orderedValues.get(key);
-//			System.out.println("MultipleItemsSelector.getItemsAndSeriesOrdererByXValues(): item position = " + key + " series = " + value.get(0) + " item = " + value.get(1));
-//		}
-
-		return orderedValues;
-	}
-	
-
-	
-
-	/**
-	 * Gets a map where the values of the dataset are orderer by label and flatten but grouped by series.
-	 * @param dataset
-	 * @return
-	 */
-	// FIXME: tests
-//	public TreeMap<Object, ArrayList<Integer>> getItemsAndSeriesOrderedByLabels(CAXYDataset dataset)	{
-//		return this.getItemsAndSeriesOrderedByLabels(dataset, false, false);
-//	}
-//	
-	/**
-	 *  Gets a map where the values of the dataset are orderer by label and flatten but grouped by series.
-	 * @param dataset
-	 * @return
-	 */
-	// FIXME: tests, became useless ? (since we can give labels order with getItemsAndSeriesOrderedByLabels(CAXYDataset dataset, String[] rowLabels, String[] colLabels)) )
-//	public TreeMap<Object, ArrayList<Integer>> getItemsAndSeriesOrderedByLabels(CAXYDataset dataset, boolean rowsReverse, boolean colsReverse)	{
-//		
-//		Comparator rowsComparator;
-//		Comparator colsComparator;
-//		
-//		if(rowsReverse)	{
-//			rowsComparator = Collections.reverseOrder(Collator.getInstance());
-//		}
-//		else	{
-//			rowsComparator = Collator.getInstance();
-//		}
-//
-//		if(colsReverse)	{
-//			colsComparator = Collections.reverseOrder(Collator.getInstance());
-//		}
-//		else	{
-//			colsComparator = Collator.getInstance();
-//		}
-//
-//		
-//		TreeMap<Object, ArrayList<Integer>> allFlattenRowsValues = new TreeMap<Object, ArrayList<Integer>>(rowsComparator);
-//		TreeMap<Object, ArrayList<Integer>> allFlattenColsValues = new TreeMap<Object, ArrayList<Integer>>(colsComparator);
-//
-//		// sort the rows by label
-//		for(int i = 0; i < dataset.getItemCount(0); i++) {
-//			ArrayList<Integer> itemData = new ArrayList<Integer>(2);
-//			itemData.add(0); // series
-//			itemData.add(i); // item
-//			allFlattenRowsValues.put(((CAXYDataset)dataset).getLabel(0,  i), itemData);
-//			
-//			// FIXME: tests, navigation clavier par coord X d'une AFC (toute séries confondues)
-//			//allFlattenRowsValues.put(dataset.getX(0, j), itemData);
-//		}
-//		
-//		
-//		// sort the cols by label
-//		for(int i = 0; i < dataset.getItemCount(1); i++) {
-//			ArrayList<Integer> itemData = new ArrayList<Integer>(2);
-//			itemData.add(1); // series
-//			itemData.add(i); // item
-//			allFlattenColsValues.put(((CAXYDataset)dataset).getLabel(1,  i), itemData);
-//			
-//			// FIXME: tests, navigation clavier par coord X d'une AFC (toute séries confondues)
-//			//allFlattenColsValues.put(dataset.getX(1, j), itemData);
-//		}
-//
-//		
-//		
-//		// FIXME: tests, navigation clavier par ordre alphabétique d'une AFC
-//		TreeMap<Object, ArrayList<Integer>> orderedValues = new TreeMap<Object, ArrayList<Integer>>();
-////		if(revertedOrder)	{
-////			orderedValues = new TreeMap(Collections.reverseOrder());
-////		}
-//		
-//		
-//		// put the rows order
-//		int i = 0;
-//		Set keys = allFlattenRowsValues.keySet();
-//		Iterator<Integer> it = keys.iterator();
-//		while(it.hasNext())	{
-//			Object key = it.next();
-//			orderedValues.put(i, allFlattenRowsValues.get(key));
-//			i++;
-//		}
-//		// put the cols order
-//		keys = allFlattenColsValues.keySet();
-//		it = keys.iterator();
-//		while(it.hasNext())	{
-//			Object key = it.next();
-//			orderedValues.put(i, allFlattenColsValues.get(key));
-//			i++;
-//		}
-//
-//		
-//		
-//		//orderedValues.putAll(allFlattenRowsValues);
-//
-//		
-//		// FIXME : comparator tests
-////		TreeMap<String, Integer> treemap = new TreeMap<String, Integer>(new Comparator<String>() {
-////		    public int compare(String o1, String o2) {
-////		        return o1.toLowerCase().compareTo(o2.toLowerCase());
-////		    }
-////		});
-//		
-//		
-//		// FIXME: DEbug
-////		keys = orderedValues.keySet();
-////		System.err.println("MultipleItemsSelector.getItemsAndSeriesOrderedByXValues() size: " + orderedValues.size());
-////		it = keys.iterator();
-////		while(it.hasNext())	{
-////			Object key = it.next();
-////			ArrayList<Integer> value = orderedValues.get(key);
-////			System.out.println("MultipleItemsSelector.getItemsAndSeriesOrdererByXValues(): item position = " + key + " series = " + value.get(0) + " item = " + value.get(1));
-////		}
-//
-//		return orderedValues;
-//	}
-
 	@Override
 	public Class getResultDataClass() {
 		return CA.class;
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 890)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 891)
@@ -253,8 +253,6 @@
 			}
 			// Multiple item selection
 			else if(this.multipleItemsSelector.isSelectedItem(series, item))	{
-				// FIXME: rendering tests
-				//return new Color(255, 255, 255, 195);
 				return new Color(color.getRed(), color.getGreen(), color.getBlue(), 140);
 			}
 		}
